-- This file is a part of Avoision.
-- 
-- Copyright (C) 2010 Jared Krinke.
-- 
-- Avoision is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

require("UI/Input.lua")
require("UI/FormLayer.lua")
require("Avoision/Controls.lua")

-- Common
Avoision = {
    version = "0.6",
    textWidth = 15,
    textHeight = 30,
}

Form.setDefaultTextSize(Avoision.textWidth, Avoision.textHeight)

-- Controls
Avoision.logicalEvents = {
    up = { necessary = true },
    down = { necessary = true },
    left = { necessary = true },
    right = { necessary = true },
    activate = { necessary = true },
    delete = { },
    cancel = { },
    openConsole = { },
}

Avoision.input = Input.new(Avoision.logicalEvents, controlsData)
FormLayer.setDefaultInput(Avoision.input)

-- Set up difficulty levels
Avoision.difficultyLevelNames = {
    "Easy",
    "Normal",
    "Hard",
    "Extreme",
}

Avoision.difficultyLevel = { }

local v = 1
while v <= #Avoision.difficultyLevelNames do
    Avoision.difficultyLevel[Avoision.difficultyLevelNames[v]] = v

    v = v + 1
end

