-- This file is a part of Avoision.
-- 
-- Copyright (C) 2010 Jared Krinke.
-- 
-- Avoision is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

-- Common
Utility = { }

function Utility.intersect(a, b)
    local result = false
    local ax1 = a.x - a.width / 2
    local ax2 = a.x + a.width / 2
    local bx1 = b.x - b.width / 2
    local bx2 = b.x + b.width / 2
    local ay1 = a.y - a.height / 2
    local ay2 = a.y + a.height / 2
    local by1 = b.y - b.height / 2
    local by2 = b.y + b.height / 2

    if ((ax1 >= bx1 and ax1 <= bx2) or (ax2 >= bx1 and ax2 <= bx2) or (bx1 >= ax1 and bx1 <= ax2))
        and ((ay1 >= by1 and ay1 <= by2) or (ay2 >= by1 and ay2 <= by2) or (by1 >= ay1 and by1 <= ay2))
    then
        result = true
    end

    return result
end

