-- This file is a part of Avoision.
-- 
-- Copyright (C) 2010 Jared Krinke.
-- 
-- Avoision is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

require("Settings/Misc.lua")

MiscSettings = { }

function MiscSettings.get(t, name)
    local value = nil

    if isTable(miscSettings) and isTable(miscSettings[t]) then
        if t == "string" and isString(miscSettings[t][name])
            or t == "number" and isNumber(miscSettings[t][name])
        then
            value = miscSettings[t][name]
        end
    end

    return value
end

function MiscSettings.set(t, name, value)
    if isTable(miscSettings) and isTable(miscSettings[t]) then
        if t == "string" and isString(value) or t == "number" and isNumber(value) then
            miscSettings[t][name] = value
        end
    end
end

function MiscSettings.save()
    File.createDirectory("Settings")

    local file = File.openWrite("Settings/Misc.lua")
    local i = 1

    file:write("miscSettings = {")

    -- Strings
    file:write("    string = {")
    
    if isTable(miscSettings) then
        Table.forEach(miscSettings.string, function(key, value)
            if isString(value) then
                -- TODO: Escape quotation marks
                file:write("        " .. key .. ' = "' .. value .. '",')
            end
        end)
    end
    
    file:write("    },")

    -- Numbers
    file:write("    number = {")
    
    if isTable(miscSettings) then
        Table.forEach(miscSettings.number, function(key, value)
            if isNumber(value) then
                file:write("        " .. key .. ' = ' .. value .. ',')
            end
        end)
    end
    
    file:write("    },")

    file:write("}")
    file:close()
end


